SessionControllerGetSession Method |
POST /Session/GetSession
Gets information about a session.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetSession")]
public IActionResult GetSession(
[FromBodyAttribute] GetSessionOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetSession")>
Public Function GetSession (
<FromBodyAttribute> options As GetSessionOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetSession")]
IActionResult^ GetSession(
[FromBodyAttribute] GetSessionOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetSession")>]
member GetSession :
[<FromBodyAttribute>] options : GetSessionOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetSessionOptions
The options for retrieving the session. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResult
A
SessionData object containing the requested information, or a status code indicating the reason for failure.
See Also